System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Description.ServiceDescriptionFormatExtension System.Web.Services.Configuration.XmlFormatExtensionPrefix("http", "http://schemas.xmlsoap.org/wsdl/http/") System.Web.Services.Configuration.XmlFormatExtension("binding", "http://schemas.xmlsoap.org/wsdl/http/", typeof(System.Web.Services.Description.Binding))

The use of this class as an extensibility element specifies that information is to be passed by HTTP. For more information about specification of protocols for XML Web services, see [<topic://cpconbuildingaspnetwebservices>]. For more information about Web Services Description Language (WSDL), see the specification at http://www.w3.org/TR/wsdl/.

Represents an extensibility element added to a within an XML Web service. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Field
  System.String

  The field value is "http://schemas.xmlsoap.org/wsdl/http/".

  Specifies the URI for the XML namespace representing the HTTP transport for use with SOAP. This field is constant.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  The following example creates a new HttpBinding and sets its Verb property.

  WebServices_HttpBinding#2

  Gets or sets a value indicating whether the HTTP request will be made using the "GET" or "POST" method.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlAttribute("verb")